using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;
using A8ERP.Service;


namespace A8ERP.CaiGou.CaiGouDanJuHaoWeiHu
{
    /// <summary>
    ///添加人:马总理
    ///日期:2013-3-18
    ///功能:单据维护基类
    /// </summary>
    public partial class DanJuHaoWeiHuBase
    {

        public DanJuHaoWeiHuBase()
        {
           
        }
        public override void OnLoad()
        {
            base.OnLoad(); 

            string sjbh = this.FunctionID;

            #region 先判断有没有，没有就新增一条数据
            ServiceCaiGouDingDan cgds = new ServiceCaiGouDingDan();
            cgds.GetYwCgDjlsh(sjbh);
            #endregion

            dw_1.Retrieve(sjbh);
            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("DanJuHaoWeiHuBase", "/CaiGou/CaiGouDanJuHaoWeiHu/DanJuHaoWeiHuBase.win.js?JSV=" + AppService.GetJSVesion());

            }
            this.IsRegisterScriptFile = false;
        }
    }
}
